Create Funding Session
curl --request POST \
--url https://api.getfloo.com/v1/billing/paygo/funding-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 50500,
"save_for_future": true,
"currency": "usd"
}
'import requests
url = "https://api.getfloo.com/v1/billing/paygo/funding-sessions"
payload = {
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 50500,
"save_for_future": True,
"currency": "usd"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount_cents: 50500,
save_for_future: true,
currency: 'usd'
})
};
fetch('https://api.getfloo.com/v1/billing/paygo/funding-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/billing/paygo/funding-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_request_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount_cents' => 50500,
'save_for_future' => true,
'currency' => 'usd'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/billing/paygo/funding-sessions"
payload := strings.NewReader("{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getfloo.com/v1/billing/paygo/funding-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/billing/paygo/funding-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 123,
"currency": "usd",
"status": "<string>",
"save_for_future": true,
"card_saved": true,
"client_secret": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}billing
Create Funding Session
Create or resume a Stripe Checkout credit purchase for an org admin.
POST
/
v1
/
billing
/
paygo
/
funding-sessions
Create Funding Session
curl --request POST \
--url https://api.getfloo.com/v1/billing/paygo/funding-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 50500,
"save_for_future": true,
"currency": "usd"
}
'import requests
url = "https://api.getfloo.com/v1/billing/paygo/funding-sessions"
payload = {
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 50500,
"save_for_future": True,
"currency": "usd"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount_cents: 50500,
save_for_future: true,
currency: 'usd'
})
};
fetch('https://api.getfloo.com/v1/billing/paygo/funding-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/billing/paygo/funding-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_request_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount_cents' => 50500,
'save_for_future' => true,
'currency' => 'usd'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/billing/paygo/funding-sessions"
payload := strings.NewReader("{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getfloo.com/v1/billing/paygo/funding-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/billing/paygo/funding-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount_cents\": 50500,\n \"save_for_future\": true,\n \"currency\": \"usd\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 123,
"currency": "usd",
"status": "<string>",
"save_for_future": true,
"card_saved": true,
"client_secret": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Body
application/json
A credit purchase requires explicit consent to save a card and collect usage overages.
Required range:
1000 <= x <= 100000Available options:
onboarding, billing Available options:
paygo-card-backstop-v1, paygo-card-top-up-v1 Allowed value:
"usd"Response
Successful Response
POST-only funding session entry point for the creator org admin.